/**
  ******************************************************************************
  * @file    tftlcd_mcufriend_lib.h
  * @author  JSC electronics
  * @version V1.0
  * @date    28.08.2017
  * @brief   Test  displeje 1487762760
             Pro test byla použita knihovna z https://github.com/prenticedavid/MCUFRIEND_kbv
  */

  #ifndef TFTLCD_MCUFRIEND
  #define TFTLCD_MCUFRIEND

  #include <Adafruit_GFX.h>
  #include <UTFTGLUE.h> 

  void init_lcd(void);
  void test_function(void);

  void draw_frame(void);
  void crosshairs(void);
  void sin_cos_tan(void);
  void sinusoid(void);
  void filled_rectangles(void);
  void rounded_rectangles(void);
  void filled_circles(void);
  void lines(void);
  void random_circles(void);
  void random_rectangles(void);
  void random_rounded_rectangles(void);

  void test_results(void);

  #endif
